package jp.mosp.workflow.vo;

import java.util.Properties;

import jp.mosp.common.CommonConst;
import jp.mosp.common.MosPMenuConst;
import jp.mosp.common.MosPVo;
import jp.mosp.common.dto.CmAspUserDto;
import jp.mosp.common.dto.CmUserDto;

public class ManagerApprovalMenuVo extends MosPVo {

	private static final long serialVersionUID = -7133962712130667772L;

	// フィールド
	private String[][] aryApprovalMenu ;

	/**
	 * コンストラクタ
	 * @param cfg
	 * @param msg
	 * @param nam
	 * @param cmd
	 * @param aspUser
	 * @param user
	 */
	public ManagerApprovalMenuVo(
			Properties cfg,
			Properties msg,
			Properties nam,
			String cmd,
			CmAspUserDto aspUser,
			CmUserDto user
	) {
		super(cfg, msg, nam, cmd, aspUser, user);
		setViewPath(getClassName());
		aryApprovalMenu = new String[0][0];
	}

	public void setSubTitle() {
		subTitle = MosPMenuConst.getManagerCmdArray()[1][1];
		aryMenu = new String[][] {
				{ CMD_MENU_MAMAGE, CommonConst.NAM_TO_MENU },
		};
	}

	/**
	 * フィールド設定
	 * @param aryApprovalMenu	各種承認メニューボタン配列 
	 * @throws MospException
	 */
	public void setFields(String [][] aryApprovalMenu) {
		this.aryApprovalMenu = escapeArray(aryApprovalMenu.clone());
	}

	/**
	 * JavaScript設定
	 * @param cls 情報取得クラス
	 * @throws IllegalAccessException
	 */
	@Override
	public String getDirectJs(Class cls) throws IllegalAccessException {
		StringBuffer sb = new StringBuffer();
		sb.append(super.getDirectJs(cls));
		return sb.toString();
	}

	// アクセサメソッド
	public String[][] getEscAryApprovalMenu() {
		return aryApprovalMenu.clone();
	}

}
